dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- Vars
local module_name = {}

module_name[1] = {}
module_name[1][1]	= "RAD 1"
module_name[1][2]	= "091-1567-002"

module_name[2] = {}
module_name[2][1]	= "RAD 2"
module_name[2][2]	= "091-1567-002"

module_name[3] = {}
module_name[3][1]	= "CNIDC"
module_name[3][2]	= "H"

module_name[4] = {}
module_name[4][1]	= "ATHS"
module_name[4][2]	= "0911411002"

-- Menu Options
local	mpcd_mm_btn_12				= CreateElement "ceStringPoly"
		mpcd_mm_btn_12.name			= "mpcd_mm_btn_12"
		mpcd_mm_btn_12.material		= mpcd_font_base
		mpcd_mm_btn_12.init_pos		= mpcd_btn_12_pos
		mpcd_mm_btn_12.alignment	= "CenterCenter"
		mpcd_mm_btn_12.value		= "C\nO\nN\nF\n1"
		mpcd_mm_btn_12.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_12)

local	mpcd_mm_btn_13				= CreateElement "ceStringPoly"
		mpcd_mm_btn_13.name			= "mpcd_mm_btn_13"
		mpcd_mm_btn_13.material		= mpcd_font_base
		mpcd_mm_btn_13.init_pos		= mpcd_btn_13_pos
		mpcd_mm_btn_13.alignment	= "CenterCenter"
		mpcd_mm_btn_13.value		= "C\nO\nN\nF\n2"
		mpcd_mm_btn_13.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_13)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

-- Display
local	conf_page_title				= CreateElement "ceStringPoly"
		conf_page_title.name		= "conf_page_title"
		conf_page_title.material	= mpcd_font_base
		conf_page_title.init_pos	= {0.0, 0.8, 0.0}
		conf_page_title.alignment	= "CenterCenter"
		conf_page_title.value		= "SOFTWARE CONFIGURATION PAGE 3"
		conf_page_title.stringdefs	= MPCD_data1_font_size
Add_MPCD_Element(conf_page_title)

local dRow = 0.65

for i = 1, 4 do
	dRow = dRow - 0.10
	
	local	device_col_1				= CreateElement "ceStringPoly"
			device_col_1.name			= "device_col_1" .. string.format("%02d", i)
			device_col_1.material		= mpcd_font_base
			device_col_1.init_pos		= {-0.7, dRow, 0.0}
			device_col_1.alignment		= "LeftCenter"
			device_col_1.value			= module_name[i][1]
			device_col_1.stringdefs		= MPCD_data1_font_size
	Add_MPCD_Element(device_col_1)
	
	local	device_col_2				= CreateElement "ceStringPoly"
			device_col_2.name			= "device_col_2" .. string.format("%02d", i)
			device_col_2.material		= mpcd_font_base
			device_col_2.init_pos		= {-0.0, dRow, 0.0}
			device_col_2.alignment		= "LeftCenter"
			device_col_2.value			= module_name[i][2]
			device_col_2.stringdefs		= MPCD_data1_font_size
	Add_MPCD_Element(device_col_2)
	
end